Package cds.healpix

# Class ToRangeItDecorator

java.lang.Object
cds.healpix.ToRangeItDecorator

All Implemented Interfaces:
  `Iterator<Range>`

public class ToRangeItDecorator extends Object implements Iterator<Range>
WARNING: this is so far dim = 2 specific!

Author:
  F.-X Pineau

## Constructor Summary

Constructors
Constructor
Description
`ToRangeItDecorator(Iterator<HealpixNestedBMOC.CurrentValueAccessor> decorated)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`Range`
`next()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

## Constructor Details

### ToRangeItDecorator

public ToRangeItDecorator(Iterator<HealpixNestedBMOC.CurrentValueAccessor> decorated)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Range>`

### next

public Range next()

Specified by:
  `next` in interface `Iterator<Range>`